Bug 398242 - Webshortcuts runner missing configure button
Summary: Webshortcuts runner missing configure button
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: webshortcuts (show other bugs)
Version: 5.12.6
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rohan Garg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-04 13:46 UTC by Leszek Lesner
Modified: 2018-09-12 13:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leszek Lesner 2018-09-04 13:46:30 UTC
It is not clear for every user on how to configure the webshortcuts krunner plugin. It would make sense to add a button that calls the kcm.
Comment 1 Kai Uwe Broulik 2018-09-12 13:18:36 UTC
Git commit 4b4439fe2ef5fdcf236f6f6bb2237a6499a812f5 by Kai Uwe Broulik.
Committed on 12/09/2018 at 13:18.
Pushed by broulik into branch 'master'.

Open Web Shorcuts KCM from Web Shortcut Runner config

The runner doesn't have any config on its own but uses the Web Shortcuts configuration.
Add a "configure" button that opens that KCM straight away.
FIXED-IN: 5.14.0

Differential Revision: https://phabricator.kde.org/D15430

M  +1    -0    runners/webshortcuts/CMakeLists.txt
A  +5    -0    runners/webshortcuts/plasma-runner-webshortcuts_config.desktop

https://commits.kde.org/plasma-workspace/4b4439fe2ef5fdcf236f6f6bb2237a6499a812f5